
Redmine - Defect #3308

Wiki comments length validation is missing

2009-05-07 10:31 - Jiongliang Zhang

Status: Closed Start date: 2009-05-07

Priority: High Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Wiki Estimated time: 0.00 hour

Target version: 0.8.4   

Resolution: Fixed Affected version: 0.8.3

Description

New Issues，when the comments length > 255, error happen:

PGError: Error: value too long for type character varying(255):

               UPDATE "wiki_contents" 

              SET "version" = 10, "comments" = E'...'

 No validation.

Associated revisions

Revision 2720 - 2009-05-10 10:49 - Jean-Philippe Lang

Adds wiki comments length validation (#3308).

Revision 2727 - 2009-05-10 13:06 - Jean-Philippe Lang

Follows r2720 (#3308).

History

#1 - 2009-05-07 10:33 - Jiongliang Zhang

Sorry, not "New Issues", it's "Wiki Comments "

#2 - 2009-05-10 10:40 - Jean-Philippe Lang

- Subject changed from Issues Comments Errors to Wiki comments length validation is missing

- Category changed from Website (redmine.org) to Wiki

- Status changed from New to Resolved

- Target version set to 0.8.4

- Resolution set to Fixed

Fix committed in r2720.

#3 - 2009-05-17 10:48 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged in 0.8-stable in r2746.

Powered by TCPDF (www.tcpdf.org)

2025-05-02 1/1

https://www.redmine.org/projects/redmine/repository/svn/revisions/2720
https://www.redmine.org/projects/redmine/repository/svn/revisions/2746
http://www.tcpdf.org

